Subject: Re: [bug#33980] gnu: Add pwsafe

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Jan 2019 10:22:26 +0100

Hi Tim,

Tim Gesthuizen <[email-masked]> skribis:

> From 5106465e332782896f84b4e3ff3ae03588aeca2a Mon Sep 17 00:00:00 2001
> From: Tim Gesthuizen <[email-masked]>
> Date: Sat, 29 Dec 2018 23:21:58 +0100
> Subject: [PATCH] gnu: Add pwsafe
>
> * gnu/packages/password-utils.scm (pwsafe): New variable

I made phases return #t and applied, thanks!

While building with --rounds=2, I noticed zip files were produced in a
non-deterministic way:

--8<---------------cut here---------------start------------->8---
$ diff -ru /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0{,-check}
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpDE.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpDE.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpEN.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpEN.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpES.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpES.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpFR.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpFR.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpPL.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpPL.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpRU.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpRU.zip differ
Binary files /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/helpZH.zip and /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/helpZH.zip differ
$ diffoscope /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0{,-check}/share/passwordsafe/help/
--- /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0/share/passwordsafe/help/
+++ /gnu/store/rynl3nnxy1b4l2nclb6s0lsqidzix4q9-pwsafe-3.48.0-check/share/passwordsafe/help/
├── helpDE.zip
│ ├── zipinfo /dev/stdin
│ │ @@ -1,9 +1,9 @@
│ │  Zip file size: 2850677 bytes, number of entries: 216
│ │ -drwxr-xr-x  3.0 unx        0 b- stor 19-Jan-10 08:40 html/
│ │ +drwxr-xr-x  3.0 unx        0 b- stor 19-Jan-10 08:38 html/
│ │  -r--r--r--  3.0 unx     7195 t- defN 80-Jan-01 00:00 html/filters.html
│ │  -r--r--r--  3.0 unx    11035 t- defN 80-Jan-01 00:00 html/run_command.html
│ │  -r--r--r--  3.0 unx    10533 t- defN 80-Jan-01 00:00 html/entering_pwd.html
│ │  -r--r--r--  3.0 unx     7763 t- defN 80-Jan-01 00:00 html/view_menu.html
│ │  -r--r--r--  3.0 unx     3537 t- defN 80-Jan-01 00:00 html/password_history.html
│ │  -r--r--r--  3.0 unx     6363 t- defN 80-Jan-01 00:00 html/file_menu.html
│ │  -r--r--r--  3.0 unx     2910 t- defN 80-Jan-01 00:00 html/about_pws.html
│ │ @@ -30,15 +30,15 @@
│ │  -r--r--r--  3.0 unx    11856 t- defN 80-Jan-01 00:00 html/edit_menu.html
│ │  -r--r--r--  3.0 unx     3745 t- defN 80-Jan-01 00:00 html/password_history_tab.html
│ │  -r--r--r--  3.0 unx     3850 t- defN 80-Jan-01 00:00 html/backup_and_restore.html
│ │  -r--r--r--  3.0 unx     7184 t- defN 80-Jan-01 00:00 html/autotype.html
│ │  -r--r--r--  3.0 unx     2744 t- defN 80-Jan-01 00:00 html/images.html
│ │  -r--r--r--  3.0 unx     5215 t- defN 80-Jan-01 00:00 html/failsafebackups.html
│ │  -r--r--r--  3.0 unx     3155 t- defN 80-Jan-01 00:00 html/wzselectdb.html
│ │ -drwxr-xr-x  3.0 unx        0 b- stor 19-Jan-10 08:40 html/images/
│ │ +drwxr-xr-x  3.0 unx        0 b- stor 19-Jan-10 08:38 html/images/

[...]

│ │  -r--r--r--  3.0 unx     3818 t- defN 80-Jan-01 00:00 html/entering_pwd_date.html
│ │  -r--r--r--  3.0 unx     8113 t- defN 80-Jan-01 00:00 html/manage_menu.html
│ │  -r--r--r--  3.0 unx     1984 t- defN 80-Jan-01 00:00 html/wzfinish.html
│ │ --r--r--r--  3.0 unx     7988 t- defN 19-Jan-10 08:40 pwsafeDE.hhc
│ │ --r--r--r--  3.0 unx      203 t- defN 19-Jan-10 08:40 pwsafeDE.hhk
│ │ --r--r--r--  3.0 unx     1342 t- defN 19-Jan-10 08:40 pwsafe.hhp
│ │ +-r--r--r--  3.0 unx     7988 t- defN 19-Jan-10 08:38 pwsafeDE.hhc
│ │ +-r--r--r--  3.0 unx      203 t- defN 19-Jan-10 08:38 pwsafeDE.hhk
│ │ +-r--r--r--  3.0 unx     1342 t- defN 19-Jan-10 08:38 pwsafe.hhp
--8<---------------cut here---------------end--------------->8---

I suppose this is a case where we should use Gábor’s
‘reset-zip-timestamps’.  It would be great if you could give it a try.

Thanks,
Ludo’.